Subject: RE: VPN of Origin attribute

From: "Punj, Arun" <[email-masked]>
Date: Wed, 27 Jun 2001 17:31:15 -0400

Bala,

IMO the VPN Of origin is a superflous attribute in RFC2547. If you 
look at the example given in the RFC2547, section 4.2.4 page 13, 
for use of VPN of origin attribute, you will notice it can be simply
replaced by a VPN target attribute. 

The site of origin attribute has a different purpose altogather. It
is meant to prevent feeding of an address back into a site from which
it was learnt ( refer page 24 section 7 RFC2547bis ).

I hope it helps

Arun Punj
Office of CTO, Marconi Communications,
Ph  : 724-742-7583 - Web: www.marconi.com
1000 Fore Drive, Warrandale, PA - 15086

> -----Original Message-----
> From: Bala Subrahmanyam Venkata [mailto:[email-masked]]
> Sent: Wednesday, June 27, 2001 3:18 PM
> To: [email-masked]
> Subject: VPN of Origin attribute
> 
> 
> All-
> 
> Is there a reason why RFC 2547bis draft does not refer to the "VPN of
> Origin" attribute at all ? (I am not clear as to how this attribute is
> different from "Site of Origin" attribute as defined in RFC 2547).
> 
> 
> TIA
> 
> /bala
> 
>

---

From: Eric Rosen <[email-masked]>
Date: Thu, 28 Jun 2001 10:21:43 -0400

This thread really belongs on the ppvpn list ([email-masked])

> replaced by a VPN target attribute. 

You are correct, this attribute  was originally added because it was thought
that its use might simplify  the expression of certain policies, not because
it is strictly necessary. 

However, see  draft-rosen-vpns-ospf-bgp-mpls-02.txt for  a real use  of that
attribute.